%define major 2
%define api 0.2
%define libname %mklibname %name %major
%define develname %mklibname -d %name
Name:           telepathy-logger
Version:        0.2.8
Release:        %mkrel 1
Summary:        A logger for the telepathy framework
Group:          Networking/Instant messaging
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.bz2
BuildRequires: dbus-glib-devel
BuildRequires: libtelepathy-glib-devel >= 0.14
BuildRequires: gobject-introspection-devel
BuildRequires: glib2-devel >= 2.25.11
BuildRequires: libxml2-devel
BuildRequires: sqlite3-devel
BuildRequires: libxslt-proc
BuildRequires: gnome-doc-utils
BuildRequires: python-devel
BuildRequires: intltool
Requires: %libname >= %version

%description
%name is a logger for the telepathy framework.

%package -n %libname
Group: System/Libraries
Summary: A logger library for the telepathy framework
Requires:       telepathy-filesystem
Requires: %name >= %version

%description -n %libname
%name is a logger library for the telepathy framework.

%package -n %develname
Group: Development/C
Summary: A logger library for the telepathy framework
Requires: %libname = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %develname
%name is a logger library for the telepathy framework.

%files
%defattr(-,root,root,-)
%_libexecdir/%name
%_datadir/dbus-1/services/org.freedesktop.Telepathy.Client.Logger.service
%_datadir/dbus-1/services/org.freedesktop.Telepathy.Logger.service
%_datadir/telepathy/clients/Logger.client
%_datadir/glib-2.0/schemas/org.freedesktop.Telepathy.Logger.gschema.xml

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/libtelepathy-logger.so.%{major}*
%_libdir/girepository-1.0/TelepathyLogger-%api.typelib

%files -n %develname
%defattr(-,root,root,-)
%{_libdir}/libtelepathy-logger.la
%{_libdir}/libtelepathy-logger.so
%{_includedir}/%name-%api
%{_datadir}/gtk-doc/html/telepathy-logger/
%_libdir/pkgconfig/telepathy-logger-%api.pc
%_datadir/gir-1.0/TelepathyLogger-%api.gir

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std
rm -f %buildroot%{_libdir}/libtelepathy-logger.a

%clean
rm -rf %buildroot




%changelog
* Wed Apr 13 2011 dams <dams> 0.2.8-1.mga1
+ Revision: 84496
- update to 0.2.8, new api and major

* Wed Apr 13 2011 dams <dams> 0.2.8-1.mga1
+ Revision: 84391
+ rebuild (emptylog)

* Tue Apr 05 2011 dams <dams> 0.2.8-2.mga1
+ Revision: 80757
- update to 0.2.8, new api and major

* Sun Feb 20 2011 eandry <eandry> 0.1.7-2.mga1
+ Revision: 54886
- drop buildroot
- imported package telepathy-logger


* Wed Dec 01 2010 Götz Waschk <waschk@mandriva.org> 0.1.7-1mdv2011.0
+ Revision: 604282
- update to new version 0.1.7

* Fri Oct 15 2010 Götz Waschk <waschk@mandriva.org> 0.1.6-1mdv2011.0
+ Revision: 585760
- update to new version 0.1.6

* Fri Aug 20 2010 Götz Waschk <waschk@mandriva.org> 0.1.5-2mdv2011.0
+ Revision: 571430
- fix deps

* Wed Aug 18 2010 Götz Waschk <waschk@mandriva.org> 0.1.5-1mdv2011.0
+ Revision: 571157
- update build deps
- new version
- depend on new glib
- remove gconf stuff and replace by gsettings

* Fri Jul 30 2010 Götz Waschk <waschk@mandriva.org> 0.1.4-1mdv2011.0
+ Revision: 563550
- update build deps
- update to new version 0.1.4
- import telepathy-logger


